[Bug 1130784] Re: Support Qt5

Dmitrijs Ledkovs launchpad at surgut.co.uk
Wed Apr 17 09:06:19 UTC 2013


I have linked a branch that "monkey-patches" the packaging and fully
builds all binary packages (sans not-yet-ported or obsolete modules
phonon & qtassistant) against Qt5.

Ideally we just do inplace transition and transition all reverse-
dependencies to Qt5. In practice I doubt it will be possible, since Qt4
libraries might still be used by reverse dependencies (e.g. python-
kde4).

Thus my questions are:
* what package names to use for the "against Qt5 build"? python[3]-qt4. python-qt4-qt5 (?!)
* how to handle co-installing qt4 and qt5 builds? given that pyqt4 upstream uses PyQt4 namespace for both builds.

Binary packages for Raring are build in this ppa:
https://launchpad.net/~xnox/+archive/scratch/+packages

-- 
You received this bug notification because you are a member of Kubuntu
Bugs, which is subscribed to python-qt4 in Ubuntu.
https://bugs.launchpad.net/bugs/1130784

Title:
  Support Qt5

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-qt4/+bug/1130784/+subscriptions



More information about the kubuntu-bugs mailing list